GNU bug report logs - #32792
27.0.50; invalid XML character considered as valid in nxml validation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Jean-Christophe Helary <brandelune@HIDDEN>; Keywords: notabug confirmed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 32792 <at> debbugs.gnu.org and Jean-Christophe Helary <brandelune@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32792 <at> debbugs.gnu.org:


Received: (at 32792) by debbugs.gnu.org; 30 Nov 2021 14:33:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 09:33:44 2021
Received: from localhost ([127.0.0.1]:40521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ms4CW-0007fM-Kf
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 09:33:44 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ms4CU-0007f5-M3
 for 32792 <at> debbugs.gnu.org; Tue, 30 Nov 2021 09:33:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=60CSnoP7YsCWAEZpnctsopscu2IN684DcyR62yewo4c=; b=b9k48/Pvgm/+yUW0nKcyDO8pY/
 lMn+NG9JTDEZzBliFudmZzK+eZ9V1JQdZ0/LW0CkJAjKj81SV1noVty9WrM36QtpBLeS4zOjwzuRc
 Y2prAT3UenNGCZrzuFSsX414FrCJqX7zJoNtjc72QwjaAO/M3nBkakcvljoNO7OtzuDQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ms4CL-0006xJ-E1; Tue, 30 Nov 2021 15:33:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean-Christophe Helary <brandelune@HIDDEN>
Subject: Re: bug#32792: 27.0.50; invalid XML character considered as valid
 in nxml validation
References: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN>
X-Now-Playing: Normil Hawaiians's _More Wealth Than Money_: "Red Harvest"
Date: Tue, 30 Nov 2021 15:33:29 +0100
In-Reply-To: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN> (Jean-Christophe
 Helary's message of "Fri, 21 Sep 2018 11:02:17 +0900")
Message-ID: <87a6hlogqu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean-Christophe Helary <brandelune@HIDDEN> writes: > This
 XML is considered valid by nxml validation: > > <xml> > <invalid> > ():
 invalid XML character (Unicode: 0x1f) > </invalid> > </xml> According to XML
 1.1, that's a valid XML character: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32792
Cc: 32792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jean-Christophe Helary <brandelune@HIDDEN> writes:

> This XML is considered valid by nxml validation:
>
> <xml>
>   <invalid>
>   (): invalid XML character (Unicode: 0x1f)
> </invalid>
> </xml>

According to XML 1.1, that's a valid XML character:

https://www.w3.org/TR/xml11/#charsets

So I don't think there's anything to fix.  (But parsers using following
older XML standards will disagree.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32792; Package emacs. Full text available.

Message received at 32792 <at> debbugs.gnu.org:


Received: (at 32792) by debbugs.gnu.org; 27 Sep 2019 16:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 12:25:52 2019
Received: from localhost ([127.0.0.1]:48572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDt44-0005TC-7H
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:25:52 -0400
Received: from quimby.gnus.org ([80.91.231.51]:35156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDt41-0005T2-P6
 for 32792 <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:25:50 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDt3x-0003pF-5m; Fri, 27 Sep 2019 18:25:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean-Christophe Helary <brandelune@HIDDEN>
Subject: Re: bug#32792: 27.0.50; invalid XML character considered as valid
 in nxml validation
References: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN>
 <87pnme1ye4.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 18:25:44 +0200
In-Reply-To: <87pnme1ye4.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sat, 13 Jul 2019 04:06:27 +0200")
Message-ID: <877e5tiu47.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Jean-Christophe
 Helary <brandelune@HIDDEN> writes: > >> This XML is considered valid by
 nxml validation: >> >> <xml> >> <invalid> >> (): invalid XML character
 (Unicode: 0x1f) >> </invalid> >> </ [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32792
Cc: 32792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Jean-Christophe Helary <brandelune@HIDDEN> writes:
>
>> This XML is considered valid by nxml validation:
>>
>> <xml>
>>   <invalid>
>>   (): invalid XML character (Unicode: 0x1f)
>> </invalid>
>> </xml>
>
> Do you have a test case starting from "emacs -Q"?  (I'm not familiar
> with how nmxl-mode says that something is valid or not.)

I see now that it uses rng mode to update the validity status in the
mode line, and I can confirm that it reports that this document is
valid.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32792; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32792 <at> debbugs.gnu.org:


Received: (at 32792) by debbugs.gnu.org; 13 Jul 2019 02:06:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 12 22:06:32 2019
Received: from localhost ([127.0.0.1]:41020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hm7Ql-0002OW-Qr
	for submit <at> debbugs.gnu.org; Fri, 12 Jul 2019 22:06:32 -0400
Received: from quimby.gnus.org ([80.91.231.51]:53362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hm7Qk-0002OP-IZ
 for 32792 <at> debbugs.gnu.org; Fri, 12 Jul 2019 22:06:31 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hm7Qh-0004JU-OM; Sat, 13 Jul 2019 04:06:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jean-Christophe Helary <brandelune@HIDDEN>
Subject: Re: bug#32792: 27.0.50; invalid XML character considered as valid
 in nxml validation
References: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN>
Date: Sat, 13 Jul 2019 04:06:27 +0200
In-Reply-To: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN> (Jean-Christophe
 Helary's message of "Fri, 21 Sep 2018 11:02:17 +0900")
Message-ID: <87pnme1ye4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jean-Christophe Helary <brandelune@HIDDEN> writes: > This
 XML is considered valid by nxml validation: > > <xml> > <invalid> > ():
 invalid XML character (Unicode: 0x1f) > </invalid> > </xml> Do you have a
 test case starting from "emacs -Q"? (I'm not familiar with how nmxl-mode says
 that something is valid or not.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32792
Cc: 32792 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean-Christophe Helary <brandelune@HIDDEN> writes:

> This XML is considered valid by nxml validation:
>
> <xml>
>   <invalid>
>   (): invalid XML character (Unicode: 0x1f)
> </invalid>
> </xml>

Do you have a test case starting from "emacs -Q"?  (I'm not familiar
with how nmxl-mode says that something is valid or not.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32792; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2018 02:02:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 20 22:02:47 2018
Received: from localhost ([127.0.0.1]:47518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3AmN-0003uf-As
	for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:02:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brandelune@HIDDEN>) id 1g3AmL-0003uT-28
 for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:02:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brandelune@HIDDEN>) id 1g3AmE-0006UX-UO
 for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:02:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39727)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brandelune@HIDDEN>)
 id 1g3AmE-0006TW-QW
 for submit <at> debbugs.gnu.org; Thu, 20 Sep 2018 22:02:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52787)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brandelune@HIDDEN>) id 1g3AmE-0000yD-1U
 for bug-gnu-emacs@HIDDEN; Thu, 20 Sep 2018 22:02:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brandelune@HIDDEN>) id 1g3AmA-0006IE-0e
 for bug-gnu-emacs@HIDDEN; Thu, 20 Sep 2018 22:02:37 -0400
Received: from mail-pg1-x52c.google.com ([2607:f8b0:4864:20::52c]:46941)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <brandelune@HIDDEN>)
 id 1g3Am8-0005aI-T2
 for bug-gnu-emacs@HIDDEN; Thu, 20 Sep 2018 22:02:33 -0400
Received: by mail-pg1-x52c.google.com with SMTP id b129-v6so5271041pga.13
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Sep 2018 19:02:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=PAqgsKI9t1D0jwdsK2pSUYFyk7qm2gfTMGXhEVhZ/TQ=;
 b=g9KD5m/TmZBUhRGBQGywVrfl5s/P3WQRFQoO7mBoX+643+HuHNuPZZ+axwSheNU0zS
 Wkdw6+zRVnZA35fZFQDSeKYtuTGgm+C/oGd9QDcbw3T/RO//LUajPeyNCFaBn8nGoRj+
 +FWWmHNWWc1g954GOPKzL+bI5bSV2yipTRXMr772hFvK/xZiZbexJ2XblDNtbcMetA5J
 z8AzBk+D4KiLwDiTq69oI+mzE5mflULiRNd2XZmmIjcMa/zKjXcA2iV/E5/3u6Vkm9AU
 QNrpiE0+SFDuSalwaDDTQH3rGoEFjojKDNj+hgjr/6Es/7B7PyYwdaoaxGsnGYXE3dXk
 myxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=PAqgsKI9t1D0jwdsK2pSUYFyk7qm2gfTMGXhEVhZ/TQ=;
 b=b+uaNFFZRv28SogYLVaOfzkBww4uHBTGo/gxA2WXSeK6P+VRTVxVroQgE5PvCp9uU4
 oWjZNdVWHzdT6V/hDDrrgcnLamIQudVfVSfnTUd22uLipMHkkIDxOXaqfWSzARpHgFCx
 YqRLymOuMAldzJBjOqI0mZEWwMYaPFV0IqalMnX0WamgTikxHn8FBn8laFUnMiMmC9ct
 qi9EzJ0+fkN0kPxl9QGBMVSmDTXKucImiIhIqgx96ShPtGRaqX1X6LmWJGroQWybII6w
 ihdU6Siakq8HoPI+Vm0R1fqC2nK/iwjwQpaMz1HYLzVCIyqAclP4gdEdOJOIG+Ry0iOo
 H/pw==
X-Gm-Message-State: APzg51BtEyJMCg7PVvFEz1FvxrurYxH/PY82ReHrZGEJ2qikjDiDo3UC
 wjvEqjFBxhHzJ1xzY34Kf1YasUNk
X-Google-Smtp-Source: ANB0Vdbzi2yIz7tAtfjQp5bT7rse5OkMREfKNGeZBHYQZ/mhOgn4aeVEabEkSBXVAWn2v5HgFlkQJg==
X-Received: by 2002:a63:4107:: with SMTP id
 o7-v6mr8266543pga.256.1537495343629; 
 Thu, 20 Sep 2018 19:02:23 -0700 (PDT)
Received: from [10.251.103.129] ([210.160.37.44])
 by smtp.gmail.com with ESMTPSA id 82-v6sm36956645pfw.159.2018.09.20.19.02.20
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 20 Sep 2018 19:02:22 -0700 (PDT)
From: Jean-Christophe Helary <brandelune@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Subject: 27.0.50; invalid XML character considered as valid in nxml validation
Message-Id: <9CA511E6-635B-44DB-8C98-70BD98371BB6@HIDDEN>
Date: Fri, 21 Sep 2018 11:02:17 +0900
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.9.1)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


In GNU Emacs 27.0.50 (build 16, x86_64-apple-darwin17.7.0, NS =
appkit-1561.60 Version 10.13.6 (Build 17G65))
of 2018-08-28 built on mabinogion.local
Repository revision: d77d01d22902acdc45c2c7059de4f1b158ab5806
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6

This XML is considered valid by nxml validation:

<xml>
  <invalid>
  (=1F): invalid XML character (Unicode: 0x1f)
</invalid>
</xml>



Jean-Christophe Helary
-----------------------------------------------
http://mac4translators.blogspot.com @brandelune






Acknowledgement sent to Jean-Christophe Helary <brandelune@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32792; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 30 Nov 2021 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.